Package org.apache.catalina.security

## Class SecurityClassLoad

- java.lang.Object
- - org.apache.catalina.security.SecurityClassLoad

    public final class SecurityClassLoad
    extends Object

Static class used to preload java classes when using the Java SecurityManager so that the defineClassInPackage RuntimePermission does not trigger an AccessControlException.

Author:
  Glenn L. Nielsen

### Constructor Summary

Constructors
`SecurityClassLoad()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `securityClassLoad​(ClassLoader loader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecurityClassLoad

    public SecurityClassLoad()

### Method Detail

#### securityClassLoad

    public static void securityClassLoad​(ClassLoader loader)
                                  throws Exception

Throws:
  `Exception`